Cordova 3.5 camera bug w patch

4 posts, 0 answers
  1. Ned
    Ned avatar
    32 posts
    Member since:
    Jul 2013

    Posted 11 Sep 2014 Link to this post

    The camera does not work on Android 4.4.2. This is the bug

    https://issues.apache.org/jira/browse/CB-6761

    and there is a patch included for 3.5. Any chance you could roll this in? Could I apply the patch to cordova.js somehow?

    Thanks.
  2. Ned
    Ned avatar
    32 posts
    Member since:
    Jul 2013

    Posted 11 Sep 2014 in reply to Ned Link to this post

    The patch actually affects the java code for Android.
  3. Zdravko
    Admin
    Zdravko avatar
    657 posts

    Posted 16 Sep 2014 Link to this post

    Hello Ned,

    I am afraid you won't be able to apply a patch to the current Cordova version we are using.
    Nevertheless, I wasn't able to reproduce the bug using our camera sample app.
    Am I missing something?
    Do you have any sample application that hits this misbehavior so I can add it to our bug tracking system?

    We strive to keep Cordova versions up to date and integrate as soon as possible the latest version. As you can see we currently integrated Cordova 3.5.1 which includes important security fix. I want to assure you that we will do our best to implement any important fix with a huge impact over our users development process.

    Regards,
    Zdravko
    Telerik
     

    Visit the Telerik Verified Plugins Marketplace and get the custom Cordova plugin you need, already tweaked to work seamlessly with AppBuilder.

     
  4. Zdravko
    Admin
    Zdravko avatar
    657 posts

    Posted 20 Jan 2015 Link to this post

    Hi Ned,

    I want to follow up on that issue and let you know that AppBuilder now supports Cordova 3.5.1 and Cordova 3.6.4 for Android. Although we received reports suggesting that Cordova 3.5 did not fully fix the callbacks issue, it seems that Cordova 3.6.4 addresses them completely.

    If your application is using an implementation where a Cordova callback doesn't always fire as expected, I would recommend updating its targeted Cordova version.

    Let us know if you have any issues with that.

    Regards,
    Zdravko
    Telerik
     

    Visit the Telerik Verified Plugins Marketplace and get the custom Cordova plugin you need, already tweaked to work seamlessly with AppBuilder.

     
Back to Top